jQuery(document).ready(function () {

    if (jQuery.isFunction(jQuery.fn.chosen)) {
        jQuery('.wpie-select-chosen').chosen();
    }
    if (jQuery.isFunction(jQuery.fn.wpie_datepicker)) {
        jQuery('.wpie-datepicker').wpie_datepicker({
            format: "mm-dd-yyyy",
            autoclose: true,
            endDate: '+0d',
        });
    }
    if (jQuery.isFunction(jQuery.fn.DataTable)) {
        wpie_scheduled_export_list = jQuery('.wpie-scheduled-list').DataTable({
            "autoWidth": true,
            "processing": false,
            "serverSide": false,
            "sPaginationType": "full_numbers",
        });
        wpie_scheduled_import_list = jQuery('.wpie-scheduled-import-list').DataTable({
            "autoWidth": true,
            "processing": false,
            "serverSide": false,
            "sPaginationType": "full_numbers",
        });

        wpie_product_import_log = jQuery('.wpie-product-import-log').DataTable({
            "autoWidth": true,
            "processing": false,
            "serverSide": false,
            "sPaginationType": "full_numbers",
        });
        wpie_product_export_log = jQuery('.wpie-product-export-log').DataTable({
            "autoWidth": true,
            "processing": false,
            "serverSide": false,
            "sPaginationType": "full_numbers",
        });
    }

    var csv_uploader = new plupload.Uploader({
        runtimes: 'html5,silverlight,flash,html4',
        url: wpie_plugin_settings.wpie_ajax_url,
        drop_element: 'wpie-upload-drag-drop', //up to you
        chunk_size: '100kb',
        //unique_names: true,
        file_data_name: 'async-upload',
        multiple_queues: true,
        max_file_size: '100Gb',
        browse_button: 'plupload-browse-button', // you can pass in id...
        container: 'wpie-upload-container', // ... or DOM Element itself
        filters: {
            prevent_duplicates: true
        },
        multipart_params: {
            'action': 'wpie_upload_csv_file' //Depends on the PHP method
        },
        flash_swf_url: '/plupload/js/Moxie.swf',
        silverlight_xap_url: '/plupload/js/Moxie.xap'});


    csv_uploader.bind('Init', function (up) {
        var uploaddiv = jQuery('#wpie-upload-container');

        if (up.features.dragdrop) {

            uploaddiv.addClass('wpie-drag-drop');
            jQuery('#wpie-upload-container')
                    .bind('dragover.wp-uploader', function () {
                        uploaddiv.addClass('wpie-drag-over');
                    })
                    .bind('dragleave.wp-uploader, drop.wp-uploader', function () {
                        uploaddiv.removeClass('wpie-drag-over');
                    });

        } else {
            uploaddiv.removeClass('drag-drop');
            jQuery('.wpie-upload-drag-drop').unbind('.wp-uploader');
        }
    });

    csv_uploader.init();

    csv_uploader.bind('FilesAdded', function (up, files) {

        plupload.each(files, function (file) {
            plupload.each(files, function (file) {
                jQuery('.wpie-uploaded-file-list').append('<div class="wpie-uploaded-file-name" id="' + file.id + '">' + file.name + ' (' + plupload.formatSize(file.size) + ') <b></b></div>');
            });
            up.refresh();
            up.start();
        });

        up.refresh();
        up.start();
        jQuery('.wpie-product-import').addClass('wpie-disable-import');

    });

    csv_uploader.bind('UploadProgress', function (up, file) {

        // this is your ajax response, update the DOM with it or something...
        document.getElementById(file.id).getElementsByTagName('b')[0].innerHTML = '<span>' + file.percent + "%</span>";

    });

    csv_uploader.bind('FileUploaded', function (up, file, results) {

        // this is your ajax response, update the DOM with it or something...
        var response_data = jQuery.parseJSON(results.response);
        jQuery('.wpie_csv_upload_file_path').val(response_data.file_url);
        jQuery('.wpie-product-import').removeClass('wpie-disable-import');
    });

});
jQuery(document).on('click', '.wpie-scheduled-export-check-data', function () {

    $closest_parent = jQuery(this).closest('.wpie-general-frm');

    if ($closest_parent.find('.wpie-scheduled-export-outer-details').is(':visible') && $closest_parent.find('.wpie-scheduled-export-email-details').is(':visible'))
    {
        $closest_parent.find('.wpie-scheduled-export-email-details').slideToggle();
    } else if ($closest_parent.find('.wpie-scheduled-send-email').is(':checked'))
    {
        $closest_parent.find('.wpie-scheduled-export-email-details').slideToggle();
    }

    $closest_parent.find('.wpie-scheduled-save-export-data').slideToggle();

    $closest_parent.find('.wpie-scheduled-export-outer-details').slideToggle();
});
jQuery(document).on('click', '.wpie-scheduled-send-email', function () {

    jQuery(this).closest('.wpie-scheduled-export-wrapper').find('.wpie-scheduled-export-email-details').slideToggle();
});
jQuery(document).on('click', '.wpie-product-export-preview', function (e) {

    e.preventDefault();

    // var form_data = jQuery('.wpie-product-export-frm').serializeArray();

    var form_data = jQuery('.wpie-product-export-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_create_product_preview&" + form_data,
        dataType: 'json',
        success: function (results) {
            jQuery('.wpie-datatable-wrapper').html(jQuery('.wpie-datatable-wrapper-sample').html()).show();
            jQuery('.wpie-datatable-wrapper .wpie-product-filter-data').DataTable({
                "autoWidth": true,
                "scrollY": 400,
                "scrollX": true,
//                "bJQueryUI": true,
                "processing": true,
                "serverSide": true,
                "sPaginationType": "full_numbers",
                "sServerMethod": "POST",
                "bDestroy": true,
                "bFilter": false,
                //   bInfo: false,
                "bSort": false,
                "ajax": {
                    "url": wpie_plugin_settings.wpie_ajax_url,
                    "data": function (d) {
                        d.action = "wpie_get_product_export_preview";
                        d.product_query = results.product_query;
                        d.total_products = results.total_products;
                        d.product_offset = results.product_offset;
                        d.product_limit = results.product_limit;
                    },
                    "type": "POST",
                    "dataType": 'json',
                }
            });
        }
    });
});
jQuery(document).on('click', '.wpie-page-section-header', function () {
    var container = '.' + jQuery(this).attr('wpie-container');
    if (!jQuery(container).is(":visible"))
    {
        jQuery('.wpie-main-frm-wrapper').slideUp("slow");
        jQuery('.wpie-page-active-section').removeClass('wpie-page-active-section');
        jQuery(this).addClass('wpie-page-active-section');
        jQuery('.wpie-page-active-section-data').removeClass('wpie-page-active-section-data');
        jQuery(container).addClass('wpie-page-active-section-data').slideDown("slow");
    }
});
jQuery(document).on('click', '.wpie-product-export', function (e) {

    e.preventDefault();
    jQuery('.wpie-process-percentage').html("0");
    jQuery('.wpie-process-notification').bPopup({
        modalClose: false,
        escClose: false,
    });

    var form_data = jQuery('.wpie-product-export-frm').serialize();

    var wpie_export_separator = jQuery('.wpie-product-export-frm').find('.wpie_export_separator').val();

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_create_product_csv&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                wpie_count_data_query(results.product_query);

                if (typeof results.product_limit !== 'undefined' && results.product_limit > 0)
                {
                    filter_total = results.product_limit;
                } else
                {
                    filter_total = jQuery('.wpie-process-notification').attr('filter-total');
                }
                if (filter_total == 0)
                {
                    status = "completed";
                    jQuery('.wpie-process-percentage').html("100");
                } else
                {
                    status = "pending";
                }
                wpie_complete_export_csv(results.file_name, status, results.product_query, 0, 0, 0, 0, results.product_offset, filter_total, wpie_export_separator);


                wpie_product_export_log.row.add(results.data).draw(false);
            }
        }
    });
});
function wpie_count_data_query(data_query)
{
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_execute_data_query&data_query=" + data_query,
        dataType: 'json',
        async: false,
        success: function (results) {
            if (results.message == "success")
            {
                // console.log(results.total_results);
                jQuery('.wpie-process-notification').attr('filter-total', results.total_results);
            }
        }
    });
}
function wpie_complete_export_csv(file_name, status, product_query, start_product, current_product_id, child_product, start_child, product_offset, product_limit, wpie_export_separator)
{
    if (status != "completed")
    {
        jQuery.ajax({
            url: wpie_plugin_settings.wpie_ajax_url,
            type: 'POST',
            data: "action=wpie_update_product_csv&status=" + status + "&file_name=" + file_name + "&product_query=" + product_query + "&start_product=" + start_product + "&current_product_id=" + current_product_id + "&child_product=" + child_product + "&start_child=" + start_child + "&product_offset=" + product_offset + "&product_limit=" + product_limit + "&wpie_export_separator=" + wpie_export_separator,
            dataType: 'json',
            success: function (results) {
                if (results.message == "success")
                {
                    total_records = parseInt(jQuery('.wpie-process-notification').attr('filter-total'));

                    var process_per = parseInt((100 * results.start_product) / total_records);
                    if (process_per > 100)
                    {
                        process_per = 100;
                    }
                    jQuery('.wpie-process-percentage').html(process_per);
                    wpie_complete_export_csv(results.file_name, results.status, product_query, results.start_product, results.current_product_id, results.child_product, results.start_child, product_offset, results.product_limit, wpie_export_separator);
                }
            }
        });
    } else
    {
        jQuery('.wpie-process-notification').bPopup().close();
        jQuery('.wpie-product-csv-file-name').val(file_name);
        jQuery('.wpie-product-csv-download').submit();
    }
}
jQuery(document).on('click', '.wpie-product-scheduled-export-data', function () {

    $closest_form = jQuery(this).closest('form');
    if ($closest_form.find('.wpie-scheduled-send-email').is(':checked') && $closest_form.find('.wpie-scheduled-export-check-data').is(':checked'))
    {
        var email_recipients = $closest_form.find('.wpie-scheduled-export-email-recipients').val();
        var email_subject = $closest_form.find('.wpie-scheduled-export-email-subject').val();
        var email_msg = $closest_form.find('.wpie-scheduled-export-email-content').val();
        regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (email_recipients == "") {
            alert('Please Enter Email Recipient(s).');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        } else if (email_subject == "") {
            alert('Please Enter Email Subject.');
            $closest_form.find('.wpie-scheduled-export-email-subject').focus();
            return false;
        } else if (email_msg == "") {
            alert('Please Enter Email Body.');
            $closest_form.find('.wpie-scheduled-export-email-content').focus();
            return false;
        }
        if (email_recipients.indexOf(',') > 0)
        {
            var email_list = email_recipients.split(',');
            for (var i = 0; i < email_list.length; i++)
            {
                if (!regex.test(email_list[i]))
                {
                    alert('Please Enter valid Email Address.');
                    $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
                    return false;
                }

            }
        } else if (!regex.test(email_recipients))
        {
            alert('Please Enter valid Email Address.');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        }
    }
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();

    var form_data = jQuery('.wpie-product-export-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_product_scheduled&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);

                wpie_scheduled_export_list.row.add(results.data).draw(false);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-advanced-option-header', function () {
    jQuery(this).parent().find('.wpie-advanced-option-data').slideToggle('slow');
});
jQuery(document).on('click', '.wpie-product-settings-btn', function () {

    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();

    var form_data = jQuery('.wpie-product-fields-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_product_fields&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);

                jQuery('.wpie-datatable-wrapper-sample').html(results.preview_fields);
                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-delete-product-cron', function () {

    if (!confirm("Are you sure you want to delete this Scheduled ?"))
    {
        return false;
    }

    $this = jQuery(this);
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var cron_id = jQuery(this).attr('cron_id');

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_delete_product_scheduled_cron&cron_id=" + cron_id,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {

                wpie_scheduled_export_list.rows(jQuery($this).closest('tr')).remove().draw();

                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-product-import', function () {

    if (jQuery(this).hasClass('wpie-disable-import'))
    {
        return false;
    }
    jQuery('.wpie-process-percentage').html(0);

    file_url = jQuery('.wpie_import_file_url').val();

    file_path = jQuery('.wpie_csv_upload_file_path').val();

    if (file_url == "" && file_path == "") {
        alert('Please Enter Filename');
        return false;
    }

    jQuery('.wpie-process-notification').bPopup({
        modalClose: false,
        escClose: false,
    });

    form_data = jQuery('.wpie-product-import-frm').serialize();

    wpie_import_product_data(form_data, 'start');

});

function wpie_import_product_data(form_data, status)
{
    if (status != "completed" && status != "error_completed")
    {
        if (status == 'error')
        {
            jQuery.ajax({
                url: wpie_plugin_settings.wpie_ajax_url,
                type: 'POST',
                data: "action=wpie_import_products_percentage",
                dataType: 'json',
                async: false,
                success: function (results) {
                    if (results.message == "success")
                    {
                        var process_per = parseInt((100 * results.product_offset) / parseInt(results.total_records));
                        product_offset = results.product_offset;
                        jQuery('.wpie-process-percentage').html(process_per);
                    }
                }

            });
        }
        jQuery.ajax({
            url: wpie_plugin_settings.wpie_ajax_url,
            type: 'POST',
            data: "action=wpie_import_products&status=" + status + "&" + form_data,
            dataType: 'json',
            success: function (results) {
                if (results.message == "success")
                {

                    if (status == "pending" && typeof results.data !== 'undefined')
                    {
                        wpie_product_import_log.row.add(results.data).draw(false);
                    }
                    if (results.status == "delete_completed" || results.status == "import_completed")
                    {
                        wpie_import_product_data("", results.status);
                    } else
                    {
                        if (results.status == "completed")
                        {
                            jQuery('.wpie-process-notification').bPopup().close();

                            jQuery('.wpie_success_msg').html(results.message_text);

                            var success_popup = jQuery('.wpie_success_msg').bPopup();

                            setTimeout(function () {
                                success_popup.bPopup().close();
                            }, 1000);
                        } else if (results.status == "error_completed")
                        {
                            jQuery('.wpie-process-notification').bPopup().close();

                            jQuery('.wpie_success_msg').html(results.message_text);

                            var success_popup = jQuery('.wpie_success_msg').bPopup();

                            setTimeout(function () {
                                success_popup.bPopup().close();
                            }, 3000);
                        } else
                        {
                            var process_per = parseInt((100 * results.product_offset) / parseInt(results.total_records));
                            jQuery('.wpie-process-percentage').html(process_per);
                        }
                        wpie_import_product_data(form_data, results.status);
                    }
                }
            }, error: function (results, textStatus, errorThrown) {
                wpie_import_product_data(form_data, 'error');
            }

        });
    } else
    {
        if (status == "completed")
        {
            jQuery('.wpie-datatable-import-wrapper').html(jQuery('.wpie-datatable-wrapper-sample').html()).show();
            jQuery('.wpie-datatable-import-wrapper .wpie-product-filter-data').DataTable({
                "autoWidth": true,
                "scrollY": 400,
                "scrollX": true,
//                "bJQueryUI": true,
                "processing": true,
                "serverSide": true,
                "sPaginationType": "full_numbers",
                "sServerMethod": "POST",
                "bDestroy": true,
                "bFilter": false,
                //   bInfo: false,
                "bSort": false,
                "ajax": {
                    "url": wpie_plugin_settings.wpie_ajax_url,
                    "data": function (d) {
                        d.action = "wpie_get_product_import_preview";
                    },
                    "type": "POST",
                    "dataType": 'json',
                }
            });
        }
    }
}
jQuery(document).on('click', '.wpie-log-delete-action', function () {

    if (!confirm('Are you sure you want to delete this Record ?'))
    {
        return false;
    }
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();

    $this = jQuery(this);

    var log_id = jQuery(this).attr('log_id');

    var file_name = jQuery(this).attr('file_name');

    $this = jQuery(this);

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_remove_export_entry&log_id=" + log_id + "&file_name=" + file_name,
        dataType: 'json',
        success: function (results) {
            if (results.message == 'success')
            {
                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);

                if (jQuery($this).hasClass('wpie-export-log-delete-action'))
                {
                    wpie_product_export_log.rows(jQuery($this).closest('tr')).remove().draw();
                } else
                {
                    wpie_product_import_log.rows(jQuery($this).closest('tr')).remove().draw();
                }


            }
        }
    });
});
jQuery(document).on('click', '.wpie-log-download-action', function () {

    jQuery('.wpie_download_exported_file').val(jQuery(this).attr('file_name'));


    jQuery('.wpie-download-exported-file-frm').submit();

});

jQuery(document).on('click', '.wpie-product-categories-export', function (e) {

    e.preventDefault();
    jQuery('.wpie-process-percentage').html("0");
    jQuery('.wpie-process-notification').bPopup({
        modalClose: false,
        escClose: false,
    });
    var form_data = jQuery('.wpie-product-categories-export-frm').serialize();

    var wpie_export_separator = jQuery('.wpie-product-categories-export-frm').find('.wpie_export_separator').val();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_create_product_categories_csv&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                wpie_count_product_cat_data_query(results.product_cat_query);
                wpie_complete_product_cat_export_csv(results.file_name, "pending", results.product_cat_query, 0, results.product_cat_offset, results.product_cat_limit, wpie_export_separator);
                wpie_product_export_log.row.add(results.data).draw(false);
            }
        }
    });
});
function wpie_count_product_cat_data_query(data_query)
{
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_execute_product_cat_data_query&data_query=" + data_query,
        dataType: 'json',
        async: false,
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie-process-notification').attr('filter-total', results.total_results);
            }
        }
    });
}
function wpie_complete_product_cat_export_csv(file_name, status, product_cat_query, start_product_cat, product_cat_offset, product_cat_limit, wpie_export_separator)
{
    if (status != "completed")
    {
        jQuery.ajax({
            url: wpie_plugin_settings.wpie_ajax_url,
            type: 'POST',
            data: "action=wpie_update_product_cat_csv&file_name=" + file_name + "&product_cat_query=" + product_cat_query + "&start_product_cat=" + start_product_cat + "&product_cat_offset=" + product_cat_offset + "&product_cat_limit=" + product_cat_limit + "&wpie_export_separator=" + wpie_export_separator,
            dataType: 'json',
            success: function (results) {
                if (results.message == "success")
                {
                    var process_per = parseInt((100 * start_product_cat) / parseInt(jQuery('.wpie-process-notification').attr('filter-total')));

                    if (process_per > 100)
                    {
                        process_per = 100;
                    }
                    jQuery('.wpie-process-percentage').html(process_per);
                    wpie_complete_product_cat_export_csv(results.file_name, results.status, product_cat_query, results.start_product_cat, product_cat_offset, results.product_cat_limit, wpie_export_separator);
                }
            }
        });
    } else
    {
        jQuery('.wpie-process-notification').bPopup().close();
        jQuery('.wpie-product-csv-file-name').val(file_name);
        jQuery('.wpie-product-csv-download').submit();
    }
}
jQuery(document).on('click', '.wpie-product-categories-export-preview', function (e) {

    e.preventDefault();

    // var form_data = jQuery('.wpie-product-export-frm').serializeArray();

    var form_data = jQuery('.wpie-product-categories-export-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_create_product_categories_preview&" + form_data,
        dataType: 'json',
        success: function (results) {
            jQuery('.wpie-datatable-wrapper').html(jQuery('.wpie-datatable-wrapper-sample').html()).show();
            jQuery('.wpie-datatable-wrapper .wpie-product-filter-data').DataTable({
                "autoWidth": true,
                "scrollY": 400,
                "scrollX": true,
//                "bJQueryUI": true,
                "processing": true,
                "serverSide": true,
                "sPaginationType": "full_numbers",
                "sServerMethod": "POST",
                "bDestroy": true,
                "bFilter": false,
                //   bInfo: false,
                "bSort": false,
                "ajax": {
                    "url": wpie_plugin_settings.wpie_ajax_url,
                    "data": function (d) {
                        d.action = "wpie_get_product_cat_export_preview";
                        d.product_cat_query = results.product_cat_query;
                        d.total_products_cat = results.total_products_cat;
                        d.product_cat_offset = results.product_cat_offset;
                        d.product_cat_limit = results.product_cat_limit;
                    },
                    "type": "POST",
                    "dataType": 'json',
                }
            });
        }
    });
});
jQuery(document).on('click', '.wpie-product-cat-settings-btn', function () {

    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var form_data = jQuery('.wpie-product-cat-fields-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_product_cat_fields&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);

                jQuery('.wpie-datatable-wrapper-sample').html(results.preview_fields);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});
jQuery(document).on('click', '.wpie-product-categories-scheduled-export-data', function () {

    $closest_form = jQuery(this).closest('form');
    if ($closest_form.find('.wpie-scheduled-send-email').is(':checked') && $closest_form.find('.wpie-scheduled-export-check-data').is(':checked'))
    {
        var email_recipients = $closest_form.find('.wpie-scheduled-export-email-recipients').val();
        var email_subject = $closest_form.find('.wpie-scheduled-export-email-subject').val();
        var email_msg = $closest_form.find('.wpie-scheduled-export-email-content').val();
        regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (email_recipients == "") {
            alert('Please Enter Email Recipient(s).');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        } else if (email_subject == "") {
            alert('Please Enter Email Subject.');
            $closest_form.find('.wpie-scheduled-export-email-subject').focus();
            return false;
        } else if (email_msg == "") {
            alert('Please Enter Email Body.');
            $closest_form.find('.wpie-scheduled-export-email-content').focus();
            return false;
        }
        if (email_recipients.indexOf(',') > 0)
        {
            var email_list = email_recipients.split(',');
            for (var i = 0; i < email_list.length; i++)
            {
                if (!regex.test(email_list[i]))
                {
                    alert('Please Enter valid Email Address.');
                    $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
                    return false;
                }

            }
        } else if (!regex.test(email_recipients))
        {
            alert('Please Enter valid Email Address.');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        }
    }
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();

    var form_data = jQuery('.wpie-product-categories-export-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_product_cat_scheduled&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});
jQuery(document).on('click', '.wpie-delete-product-cat-cron', function () {

    if (!confirm("Are you sure you want to delete this Scheduled ?"))
    {
        return false;
    }

    $this = jQuery(this);
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var cron_id = jQuery(this).attr('cron_id');

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_delete_product_cat_scheduled_cron&cron_id=" + cron_id,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {

                wpie_scheduled_export_list.rows(jQuery($this).closest('tr')).remove().draw();

                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-product-cat-import', function () {

    if (jQuery(this).hasClass('wpie-disable-import'))
    {
        return false;
    }
    jQuery('.wpie-process-percentage').html(0);

    file_url = jQuery('.wpie_import_file_url').val();

    file_path = jQuery('.wpie_csv_upload_file_path').val();

    if (file_url == "" && file_path == "") {
        alert('Please Enter Filename');
        return false;
    }

    jQuery('.wpie-process-notification').bPopup({
        modalClose: false,
        escClose: false,
    });

    form_data = jQuery('.wpie-product-cat-import-frm').serialize();

    wpie_import_product_cat_data(form_data, 'start');

});

function wpie_import_product_cat_data(form_data, status)
{
    if (status != "completed" && status != "error_completed")
    {
        if (status == 'error')
        {
            jQuery.ajax({
                url: wpie_plugin_settings.wpie_ajax_url,
                type: 'POST',
                data: "action=wpie_import_products_cat_percentage",
                dataType: 'json',
                async: false,
                success: function (results) {
                    if (results.message == "success")
                    {
                        var process_per = parseInt((100 * results.product_cat_offset) / parseInt(results.total_records));
                        jQuery('.wpie-process-percentage').html(process_per);
                    }
                }

            });
        }

        jQuery.ajax({
            url: wpie_plugin_settings.wpie_ajax_url,
            type: 'POST',
            data: "action=wpie_import_products_cat&status=" + status + "&" + form_data,
            dataType: 'json',
            success: function (results) {
                if (results.message == "success")
                {
                    if (status == "pending" && typeof results.data !== 'undefined')
                    {
                        wpie_product_import_log.row.add(results.data).draw(false);
                    }

                    if (results.total_records != 0)
                    {
                        var process_per = parseInt((100 * results.product_cat_offset) / parseInt(results.total_records));
                        jQuery('.wpie-process-percentage').html(process_per);
                    }

                    if (results.status == "import_completed")
                    {
                        wpie_import_product_cat_data("", results.status, 0);
                    } else if (results.status == "completed")
                    {
                        jQuery('.wpie-process-notification').bPopup().close();

                        jQuery('.wpie_success_msg').html(results.message_text);

                        var success_popup = jQuery('.wpie_success_msg').bPopup();

                        setTimeout(function () {
                            success_popup.bPopup().close();
                        }, 1000);

                        wpie_import_product_cat_data(form_data, results.status);

                    } else if (results.status == "error_completed")
                    {
                        jQuery('.wpie-process-notification').bPopup().close();

                        jQuery('.wpie_success_msg').html(results.message_text);

                        var success_popup = jQuery('.wpie_success_msg').bPopup();

                        setTimeout(function () {
                            success_popup.bPopup().close();
                        }, 3000);

                        wpie_import_product_cat_data(form_data, results.status);

                    } else
                    {
                        wpie_import_product_cat_data(form_data, results.status);
                    }
                }
            }, error: function (results, textStatus, errorThrown) {
                wpie_import_product_cat_data(form_data, 'error');
            }
        });
    } else
    {
        if (status == "completed")
        {
            jQuery('.wpie-process-notification').bPopup().close();
            jQuery('.wpie-datatable-import-wrapper').html(jQuery('.wpie-datatable-wrapper-sample').html()).show();
            jQuery('.wpie-datatable-import-wrapper .wpie-product-filter-data').DataTable({
                "autoWidth": true,
                "scrollY": 400,
                "scrollX": true,
//                "bJQueryUI": true,
                "processing": true,
                "serverSide": true,
                "sPaginationType": "full_numbers",
                "sServerMethod": "POST",
                "bDestroy": true,
                "bFilter": false,
                //   bInfo: false,
                "bSort": false,
                "ajax": {
                    "url": wpie_plugin_settings.wpie_ajax_url,
                    "data": function (d) {
                        d.action = "wpie_get_product_cat_import_preview";
                    },
                    "type": "POST",
                    "dataType": 'json',
                }
            });
        }
    }
}
jQuery(document).on('click', '.wpie-order-export', function (e) {

    e.preventDefault();
    jQuery('.wpie-process-percentage').html("0");
    jQuery('.wpie-process-notification').bPopup({
        modalClose: false,
        escClose: false,
    });
    var form_data = jQuery('.wpie-order-export-frm').serialize();

    var wpie_export_separator = jQuery('.wpie-order-export-frm').find('.wpie_export_separator').val();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_create_order_csv&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                wpie_count_order_data_query(results.order_query);
                wpie_complete_order_export_csv(results.file_name, "pending", results.order_query, 0, results.order_offset, results.order_limit, results.wpie_product_category, results.wpie_product_ids, wpie_export_separator);
                wpie_product_export_log.row.add(results.data).draw(false);
            }
        }
    });
});
function wpie_count_order_data_query(data_query)
{
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_execute_order_data_query&data_query=" + data_query,
        dataType: 'json',
        async: false,
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie-process-notification').attr('filter-total', results.total_results);
            }
        }
    });
}
function wpie_complete_order_export_csv(file_name, status, order_query, start_order, order_offset, order_limit, wpie_product_category, wpie_product_ids, wpie_export_separator)
{
    if (status != "completed")
    {
        jQuery.ajax({
            url: wpie_plugin_settings.wpie_ajax_url,
            type: 'POST',
            data: "action=wpie_update_order_csv&status=" + status + "&file_name=" + file_name + "&order_query=" + order_query + "&start_order=" + start_order + "&order_offset=" + order_offset + "&order_limit=" + order_limit + "&wpie_product_category=" + wpie_product_category + "&wpie_product_ids=" + wpie_product_ids + "&wpie_export_separator=" + wpie_export_separator,
            dataType: 'json',
            success: function (results) {
                if (results.message == "success")
                {
                    var process_per = parseInt((100 * start_order) / parseInt(jQuery('.wpie-process-notification').attr('filter-total')));
                    jQuery('.wpie-process-percentage').html(process_per);
                    wpie_complete_order_export_csv(results.file_name, results.status, order_query, results.start_order, order_offset, results.order_limit, wpie_product_category, wpie_product_ids, wpie_export_separator);
                }
            }
        });
    } else
    {
        jQuery('.wpie-process-notification').bPopup().close();
        jQuery('.wpie-product-csv-file-name').val(file_name);
        jQuery('.wpie-product-csv-download').submit();
    }
}
jQuery(document).on('click', '.wpie-coupon-export', function (e) {

    e.preventDefault();
    jQuery('.wpie-process-percentage').html("0");
    jQuery('.wpie-process-notification').bPopup({
        modalClose: false,
        escClose: false,
    });
    var form_data = jQuery('.wpie-coupon-export-frm').serialize();

    var wpie_export_separator = jQuery('.wpie-coupon-export-frm').find('.wpie_export_separator').val();

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_create_coupon_csv&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                wpie_count_coupon_data_query(results.coupon_query);
                wpie_complete_coupon_export_csv(results.file_name, "pending", results.coupon_query, 0, results.coupon_offset, results.coupon_limit, wpie_export_separator);
                wpie_product_export_log.row.add(results.data).draw(false);
            }
        }
    });
});
function wpie_count_coupon_data_query(data_query)
{
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_execute_coupon_data_query&data_query=" + data_query,
        dataType: 'json',
        async: false,
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie-process-notification').attr('filter-total', results.total_results);
            }
        }
    });
}
function wpie_complete_coupon_export_csv(file_name, status, coupon_query, start_coupon, coupon_offset, coupon_limit, wpie_export_separator)
{
    if (status != "completed")
    {
        jQuery.ajax({
            url: wpie_plugin_settings.wpie_ajax_url,
            type: 'POST',
            data: "action=wpie_update_coupon_csv&file_name=" + file_name + "&coupon_query=" + coupon_query + "&start_coupon=" + start_coupon + "&coupon_offset=" + coupon_offset + "&coupon_limit=" + coupon_limit + "&wpie_export_separator=" + wpie_export_separator,
            dataType: 'json',
            success: function (results) {
                if (results.message == "success")
                {
                    var process_per = parseInt((100 * start_coupon) / parseInt(jQuery('.wpie-process-notification').attr('filter-total')));
                    jQuery('.wpie-process-percentage').html(process_per);
                    wpie_complete_coupon_export_csv(results.file_name, results.status, coupon_query, results.start_coupon, coupon_offset, results.coupon_limit, wpie_export_separator);
                }
            }
        });
    } else
    {
        jQuery('.wpie-process-notification').bPopup().close();
        jQuery('.wpie-product-csv-file-name').val(file_name);
        jQuery('.wpie-product-csv-download').submit();
    }
}
jQuery(document).on('click', '.wpie-coupon-export-preview', function (e) {

    e.preventDefault();

    // var form_data = jQuery('.wpie-product-export-frm').serializeArray();

    var form_data = jQuery('.wpie-coupon-export-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_create_coupon_preview&" + form_data,
        dataType: 'json',
        success: function (results) {
            jQuery('.wpie-datatable-wrapper').html(jQuery('.wpie-datatable-wrapper-sample').html()).show();
            jQuery('.wpie-datatable-wrapper .wpie-product-filter-data').DataTable({
                "autoWidth": true,
                "scrollY": 400,
                "scrollX": true,
//                "bJQueryUI": true,
                "processing": true,
                "serverSide": true,
                "sPaginationType": "full_numbers",
                "sServerMethod": "POST",
                "bDestroy": true,
                "bFilter": false,
                //   bInfo: false,
                "bSort": false,
                "ajax": {
                    "url": wpie_plugin_settings.wpie_ajax_url,
                    "data": function (d) {
                        d.action = "wpie_get_coupon_export_preview";
                        d.coupon_query = results.coupon_query;
                        d.total_coupons = results.total_coupons;
                        d.coupon_offset = results.coupon_offset;
                        d.coupon_limit = results.coupon_limit;
                    },
                    "type": "POST",
                    "dataType": 'json',
                }
            });
        }
    });
});
jQuery(document).on('click', '.wpie-coupon-settings-btn', function () {

    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var form_data = jQuery('.wpie-coupon-fields-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_coupon_fields&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);

                jQuery('.wpie-datatable-wrapper-sample').html(results.preview_fields);
                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});
jQuery(document).on('click', '.wpie-coupon-scheduled-export-data', function () {

    $closest_form = jQuery(this).closest('form');
    if ($closest_form.find('.wpie-scheduled-send-email').is(':checked') && $closest_form.find('.wpie-scheduled-export-check-data').is(':checked'))
    {
        var email_recipients = $closest_form.find('.wpie-scheduled-export-email-recipients').val();
        var email_subject = $closest_form.find('.wpie-scheduled-export-email-subject').val();
        var email_msg = $closest_form.find('.wpie-scheduled-export-email-content').val();
        regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (email_recipients == "") {
            alert('Please Enter Email Recipient(s).');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        } else if (email_subject == "") {
            alert('Please Enter Email Subject.');
            $closest_form.find('.wpie-scheduled-export-email-subject').focus();
            return false;
        } else if (email_msg == "") {
            alert('Please Enter Email Body.');
            $closest_form.find('.wpie-scheduled-export-email-content').focus();
            return false;
        }
        if (email_recipients.indexOf(',') > 0)
        {
            var email_list = email_recipients.split(',');
            for (var i = 0; i < email_list.length; i++)
            {
                if (!regex.test(email_list[i]))
                {
                    alert('Please Enter valid Email Address.');
                    $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
                    return false;
                }

            }
        } else if (!regex.test(email_recipients))
        {
            alert('Please Enter valid Email Address.');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        }
    }
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();

    var form_data = jQuery('.wpie-coupon-export-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_coupon_scheduled&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);
                wpie_scheduled_export_list.row.add(results.data).draw(false);
                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});
jQuery(document).on('click', '.wpie-coupon-import', function () {

    if (jQuery(this).hasClass('wpie-disable-import'))
    {
        return false;
    }
    jQuery('.wpie-process-percentage').html(0);

    file_url = jQuery('.wpie_import_file_url').val();

    file_path = jQuery('.wpie_csv_upload_file_path').val();

    if (file_url == "" && file_path == "") {
        alert('Please Enter Filename');
        return false;
    }

    jQuery('.wpie-process-notification').bPopup({
        modalClose: false,
        escClose: false,
    });

    form_data = jQuery('.wpie-coupon-import-frm').serialize();

    wpie_import_coupon_data(form_data, 'start');



});
function wpie_import_coupon_data(form_data, status)
{
    if (status != "completed" && status != "error_completed")
    {
        if (status == 'error')
        {
            jQuery.ajax({
                url: wpie_plugin_settings.wpie_ajax_url,
                type: 'POST',
                data: "action=wpie_import_coupon_percentage",
                dataType: 'json',
                async: false,
                success: function (results) {
                    if (results.message == "success")
                    {
                        var process_per = parseInt((100 * results.coupon_offset) / parseInt(results.total_records));
                        product_offset = results.coupon_offset;
                        jQuery('.wpie-process-percentage').html(process_per);
                    }
                }

            });
        }
        jQuery.ajax({
            url: wpie_plugin_settings.wpie_ajax_url,
            type: 'POST',
            data: "action=wpie_import_coupon&status=" + status + "&" + form_data,
            dataType: 'json',
            success: function (results) {
                if (results.message == "success")
                {
                    if (status == "pending" && typeof results.data !== 'undefined')
                    {
                        wpie_product_import_log.row.add(results.data).draw(false);
                    }

                    if (results.total_records != 0)
                    {
                        var process_per = parseInt((100 * results.coupon_offset) / parseInt(results.total_records));
                        jQuery('.wpie-process-percentage').html(process_per);
                    }

                    if (results.status == "import_completed")
                    {
                        wpie_import_coupon_data("", results.status, 0);
                    } else if (results.status == "completed")
                    {
                        jQuery('.wpie-process-notification').bPopup().close();

                        jQuery('.wpie_success_msg').html(results.message_text);

                        var success_popup = jQuery('.wpie_success_msg').bPopup();

                        setTimeout(function () {
                            success_popup.bPopup().close();
                        }, 1000);

                        wpie_import_coupon_data(form_data, results.status);
                    } else if (results.status == "error_completed")
                    {
                        jQuery('.wpie-process-notification').bPopup().close();

                        jQuery('.wpie_success_msg').html(results.message_text);

                        var success_popup = jQuery('.wpie_success_msg').bPopup();

                        setTimeout(function () {
                            success_popup.bPopup().close();
                        }, 3000);

                        wpie_import_coupon_data(form_data, results.status);
                    } else
                    {
                        wpie_import_coupon_data(form_data, results.status);
                    }
                }
            }, error: function (results, textStatus, errorThrown) {
                wpie_import_coupon_data(form_data, 'error');
            }
        });
    } else
    {
        if (status == "completed")
        {
            jQuery('.wpie-datatable-import-wrapper').html(jQuery('.wpie-datatable-wrapper-sample').html()).show();
            jQuery('.wpie-datatable-import-wrapper .wpie-product-filter-data').DataTable({
                "autoWidth": true,
                "scrollY": 400,
                "scrollX": true,
//                "bJQueryUI": true,
                "processing": true,
                "serverSide": true,
                "sPaginationType": "full_numbers",
                "sServerMethod": "POST",
                "bDestroy": true,
                "bFilter": false,
                //   bInfo: false,
                "bSort": false,
                "ajax": {
                    "url": wpie_plugin_settings.wpie_ajax_url,
                    "data": function (d) {
                        d.action = "wpie_get_coupon_import_preview";
                    },
                    "type": "POST",
                    "dataType": 'json',
                }
            });
        }
    }
}
jQuery(document).on('click', '.wpie-user-export', function (e) {

    e.preventDefault();
    jQuery('.wpie-process-percentage').html("0");
    jQuery('.wpie-process-notification').bPopup({
        modalClose: false,
        escClose: false,
    });
    var form_data = jQuery('.wpie-user-export-frm').serialize();

    var wpie_export_separator = jQuery('.wpie-user-export-frm').find('.wpie_export_separator').val();

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_create_user_csv&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                wpie_count_user_data_query(results.user_query);
                wpie_complete_user_export_csv(results.file_name, "pending", results.user_query, 0, results.user_offset, results.user_limit, wpie_export_separator);
                wpie_product_export_log.row.add(results.data).draw(false);
            }
        }
    });
});
function wpie_count_user_data_query(data_query)
{
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_execute_user_data_query&data_query=" + data_query,
        dataType: 'json',
        async: false,
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie-process-notification').attr('filter-total', results.total_results);
            }
        }
    });
}
function wpie_complete_user_export_csv(file_name, status, user_query, start_user, user_offset, user_limit, wpie_export_separator)
{
    if (status != "completed")
    {
        jQuery.ajax({
            url: wpie_plugin_settings.wpie_ajax_url,
            type: 'POST',
            data: "action=wpie_update_user_csv&file_name=" + file_name + "&user_query=" + user_query + "&start_user=" + start_user + "&user_offset=" + user_offset + "&user_limit=" + user_limit + "&wpie_export_separator=" + wpie_export_separator,
            dataType: 'json',
            success: function (results) {
                if (results.message == "success")
                {
                    var process_per = parseInt((100 * results.start_user) / parseInt(jQuery('.wpie-process-notification').attr('filter-total')));
                    jQuery('.wpie-process-percentage').html(process_per);
                    wpie_complete_user_export_csv(results.file_name, results.status, user_query, results.start_user, user_offset, results.user_limit, wpie_export_separator);
                }
            }
        });
    } else
    {
        jQuery('.wpie-process-notification').bPopup().close();
        jQuery('.wpie-product-csv-file-name').val(file_name);
        jQuery('.wpie-product-csv-download').submit();
    }
}
jQuery(document).on('click', '.wpie-user-export-preview', function (e) {

    e.preventDefault();

    var form_data = jQuery('.wpie-user-export-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_create_user_preview&" + form_data,
        dataType: 'json',
        success: function (results) {
            jQuery('.wpie-datatable-wrapper').html(jQuery('.wpie-datatable-wrapper-sample').html()).show();
            jQuery('.wpie-datatable-wrapper .wpie-product-filter-data').DataTable({
                "autoWidth": true,
                "scrollY": 400,
                "scrollX": true,
//                "bJQueryUI": true,
                "processing": true,
                "serverSide": true,
                "sPaginationType": "full_numbers",
                "sServerMethod": "POST",
                "bDestroy": true,
                "bFilter": false,
                //   bInfo: false,
                "bSort": false,
                "ajax": {
                    "url": wpie_plugin_settings.wpie_ajax_url,
                    "data": function (d) {
                        d.action = "wpie_get_user_export_preview";
                        d.user_query = results.user_query;
                        d.total_users = results.total_users;
                        d.user_offset = results.user_offset;
                        d.user_limit = results.user_limit;
                    },
                    "type": "POST",
                    "dataType": 'json',
                }
            });
        }
    });
});
jQuery(document).on('click', '.wpie-user-scheduled-export-data', function () {

    $closest_form = jQuery(this).closest('form');
    if ($closest_form.find('.wpie-scheduled-send-email').is(':checked') && $closest_form.find('.wpie-scheduled-export-check-data').is(':checked'))
    {
        var email_recipients = $closest_form.find('.wpie-scheduled-export-email-recipients').val();
        var email_subject = $closest_form.find('.wpie-scheduled-export-email-subject').val();
        var email_msg = $closest_form.find('.wpie-scheduled-export-email-content').val();
        regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (email_recipients == "") {
            alert('Please Enter Email Recipient(s).');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        } else if (email_subject == "") {
            alert('Please Enter Email Subject.');
            $closest_form.find('.wpie-scheduled-export-email-subject').focus();
            return false;
        } else if (email_msg == "") {
            alert('Please Enter Email Body.');
            $closest_form.find('.wpie-scheduled-export-email-content').focus();
            return false;
        }
        if (email_recipients.indexOf(',') > 0)
        {
            var email_list = email_recipients.split(',');
            for (var i = 0; i < email_list.length; i++)
            {
                if (!regex.test(email_list[i]))
                {
                    alert('Please Enter valid Email Address.');
                    $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
                    return false;
                }

            }
        } else if (!regex.test(email_recipients))
        {
            alert('Please Enter valid Email Address.');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        }
    }
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();

    var form_data = jQuery('.wpie-user-export-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_user_scheduled&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);

                wpie_scheduled_export_list.row.add(results.data).draw(false);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});

jQuery(document).on('click', '.wpie-user-import', function () {

    if (jQuery(this).hasClass('wpie-disable-import'))
    {
        return false;
    }
    jQuery('.wpie-process-percentage').html(0);

    file_url = jQuery('.wpie_import_file_url').val();

    file_path = jQuery('.wpie_csv_upload_file_path').val();

    if (file_url == "" && file_path == "") {
        alert('Please Enter Filename');
        return false;
    }

    jQuery('.wpie-process-notification').bPopup({
        modalClose: false,
        escClose: false,
    });

    form_data = jQuery('.wpie-user-import-frm').serialize();

    wpie_import_user_data(form_data, 'start');

});
function wpie_import_user_data(form_data, status)
{

    if (status != "completed")
    {
        if (status == 'error')
        {
            jQuery.ajax({
                url: wpie_plugin_settings.wpie_ajax_url,
                type: 'POST',
                data: "action=wpie_import_user_percentage",
                dataType: 'json',
                async: false,
                success: function (results) {
                    if (results.message == "success")
                    {
                        var process_per = parseInt((100 * results.user_offset) / parseInt(results.total_records));
                        jQuery('.wpie-process-percentage').html(process_per);
                    }
                }

            });
        }

        jQuery.ajax({
            url: wpie_plugin_settings.wpie_ajax_url,
            type: 'POST',
            data: "action=wpie_import_user&status=" + status + "&" + form_data,
            dataType: 'json',
            success: function (results) {
                if (results.message == "success")
                {
                    if (status == "pending" && typeof results.data !== 'undefined')
                    {
                        wpie_product_import_log.row.add(results.data).draw(false);
                    }

                    var process_per = parseInt((100 * results.user_offset) / parseInt(results.total_records));
                    jQuery('.wpie-process-percentage').html(process_per);
                    wpie_import_user_data(form_data, results.status, results.user_offset);
                }
            }, error: function (results, textStatus, errorThrown) {
                wpie_import_user_data(form_data, 'error');
            }
        });
    } else
    {
        jQuery('.wpie-process-notification').bPopup().close();
        jQuery('.wpie-datatable-import-wrapper').html(jQuery('.wpie-datatable-wrapper-sample').html()).show();
        jQuery('.wpie-datatable-import-wrapper .wpie-product-filter-data').DataTable({
            "autoWidth": true,
            "scrollY": 400,
            "scrollX": true,
//                "bJQueryUI": true,
            "processing": true,
            "serverSide": true,
            "sPaginationType": "full_numbers",
            "sServerMethod": "POST",
            "bDestroy": true,
            "bFilter": false,
            //   bInfo: false,
            "bSort": false,
            "ajax": {
                "url": wpie_plugin_settings.wpie_ajax_url,
                "data": function (d) {
                    d.action = "wpie_get_user_import_preview";
                },
                "type": "POST",
                "dataType": 'json',
            }
        });
    }
}
jQuery(document).on('click', '.wpie-order-settings-btn', function () {

    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var form_data = jQuery('.wpie-order-fields-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_order_fields&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);

                jQuery('.wpie-datatable-wrapper-sample').html(results.preview_fields);
                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});
jQuery(document).on('click', '.wpie-order-export-preview', function (e) {

    e.preventDefault();

    // var form_data = jQuery('.wpie-product-export-frm').serializeArray();

    var form_data = jQuery('.wpie-order-export-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_create_order_preview&" + form_data,
        dataType: 'json',
        success: function (results) {
            jQuery('.wpie-datatable-wrapper').html(jQuery('.wpie-datatable-wrapper-sample').html()).show();
            jQuery('.wpie-datatable-wrapper .wpie-product-filter-data').DataTable({
                "autoWidth": true,
                "scrollY": 400,
                "scrollX": true,
//                "bJQueryUI": true,
                "processing": true,
                "serverSide": true,
                "sPaginationType": "full_numbers",
                "sServerMethod": "POST",
                "bDestroy": true,
                "bFilter": false,
                //   bInfo: false,
                "bSort": false,
                "ajax": {
                    "url": wpie_plugin_settings.wpie_ajax_url,
                    "data": function (d) {
                        d.action = "wpie_get_order_export_preview";
                        d.order_query = results.order_query;
                        d.total_order = results.total_order;
                        d.order_offset = results.order_offset;
                        d.order_limit = results.order_limit;
                        d.wpie_product_category = results.wpie_product_category;
                        d.wpie_product_ids = results.wpie_product_ids;
                    },
                    "type": "POST",
                    "dataType": 'json',
                }
            });
        }
    });
});
jQuery(document).on('click', '.wpie-order-import', function () {

    if (jQuery(this).hasClass('wpie-disable-import'))
    {
        return false;
    }
    jQuery('.wpie-process-percentage').html(0);

    file_url = jQuery('.wpie_import_file_url').val();

    file_path = jQuery('.wpie_csv_upload_file_path').val();

    if (file_url == "" && file_path == "") {
        alert('Please Enter Filename');
        return false;
    }

    jQuery('.wpie-process-notification').bPopup({
        modalClose: false,
        escClose: false,
    });

    form_data = jQuery('.wpie-order-import-frm').serialize();

    wpie_import_order_data(form_data, 'start');

});

function wpie_import_order_data(form_data, status)
{
    if (status != "completed" && status != "error_completed")
    {
        if (status == 'error')
        {
            jQuery.ajax({
                url: wpie_plugin_settings.wpie_ajax_url,
                type: 'POST',
                data: "action=wpie_import_order_percentage",
                dataType: 'json',
                async: false,
                success: function (results) {
                    if (results.message == "success")
                    {
                        var process_per = parseInt((100 * results.order_offset) / parseInt(results.total_records));
                        product_offset = results.order_offset;
                        jQuery('.wpie-process-percentage').html(process_per);
                    }
                }

            });
        }

        jQuery.ajax({
            url: wpie_plugin_settings.wpie_ajax_url,
            type: 'POST',
            data: "action=wpie_import_order&status=" + status + "&" + form_data,
            dataType: 'json',
            success: function (results) {
                if (results.message == "success")
                {

                    if (status == "pending" && typeof results.data !== 'undefined')
                    {
                        wpie_product_import_log.row.add(results.data).draw(false);
                    }

                    if (results.status == "completed")
                    {
                        jQuery('.wpie-process-notification').bPopup().close();

                        jQuery('.wpie_success_msg').html(results.message_text);

                        var success_popup = jQuery('.wpie_success_msg').bPopup();

                        setTimeout(function () {
                            success_popup.bPopup().close();
                        }, 1000);

                    } else if (results.status == "error_completed")
                    {
                        jQuery('.wpie-process-notification').bPopup().close();

                        jQuery('.wpie_success_msg').html(results.message_text);

                        var success_popup = jQuery('.wpie_success_msg').bPopup();

                        setTimeout(function () {
                            success_popup.bPopup().close();
                        }, 3000);

                    }

                    var process_per = parseInt((100 * results.order_offset) / parseInt(results.total_records));
                    jQuery('.wpie-process-percentage').html(process_per);
                    wpie_import_order_data(form_data, results.status);

                }
            }, error: function (results, textStatus, errorThrown) {
                wpie_import_order_data(form_data, 'error');
            }
        });
    } else
    {
        if (status == "completed")
        {
            jQuery('.wpie-datatable-import-wrapper').html(jQuery('.wpie-datatable-wrapper-sample').html()).show();
            jQuery('.wpie-datatable-import-wrapper .wpie-product-filter-data').DataTable({
                "autoWidth": true,
                "scrollY": 400,
                "scrollX": true,
//                "bJQueryUI": true,
                "processing": true,
                "serverSide": true,
                "sPaginationType": "full_numbers",
                "sServerMethod": "POST",
                "bDestroy": true,
                "bFilter": false,
                //   bInfo: false,
                "bSort": false,
                "ajax": {
                    "url": wpie_plugin_settings.wpie_ajax_url,
                    "data": function (d) {
                        d.action = "wpie_get_order_import_preview";
                    },
                    "type": "POST",
                    "dataType": 'json',
                }
            });
        }
    }
}
jQuery(document).on('click', '.wpie-delete-coupon-export-cron', function () {

    if (!confirm("Are you sure you want to delete this Scheduled ?"))
    {
        return false;
    }

    $this = jQuery(this);
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var cron_id = jQuery(this).attr('cron_id');

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_delete_coupon_export_scheduled_cron&cron_id=" + cron_id,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {

                wpie_scheduled_export_list.rows(jQuery($this).closest('tr')).remove().draw();

                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-delete-product-export-cron', function () {

    if (!confirm("Are you sure you want to delete this Scheduled ?"))
    {
        return false;
    }

    $this = jQuery(this);
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var cron_id = jQuery(this).attr('cron_id');

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_delete_product_export_scheduled_cron&cron_id=" + cron_id,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {

                wpie_scheduled_export_list.rows(jQuery($this).closest('tr')).remove().draw();

                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-delete-coupon-import-cron', function () {

    if (!confirm("Are you sure you want to delete this Scheduled ?"))
    {
        return false;
    }

    $this = jQuery(this);
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var cron_id = jQuery(this).attr('cron_id');

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_delete_coupon_import_scheduled_cron&cron_id=" + cron_id,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {

                wpie_scheduled_import_list.rows(jQuery($this).closest('tr')).remove().draw();

                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-coupon-scheduled-import-data', function () {

    file_url = jQuery('.wpie_import_file_url').val();

    file_path = jQuery('.wpie_csv_upload_file_path').val();

    if (file_url == "" && file_path == "") {
        alert('Please Enter Filename');
        return false;
    }

    $closest_form = jQuery(this).closest('form');
    if ($closest_form.find('.wpie-scheduled-send-email').is(':checked') && $closest_form.find('.wpie-scheduled-export-check-data').is(':checked'))
    {
        var email_recipients = $closest_form.find('.wpie-scheduled-export-email-recipients').val();
        var email_subject = $closest_form.find('.wpie-scheduled-export-email-subject').val();
        var email_msg = $closest_form.find('.wpie-scheduled-export-email-content').val();
        regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (email_recipients == "") {
            alert('Please Enter Email Recipient(s).');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        } else if (email_subject == "") {
            alert('Please Enter Email Subject.');
            $closest_form.find('.wpie-scheduled-export-email-subject').focus();
            return false;
        } else if (email_msg == "") {
            alert('Please Enter Email Body.');
            $closest_form.find('.wpie-scheduled-export-email-content').focus();
            return false;
        }
        if (email_recipients.indexOf(',') > 0)
        {
            var email_list = email_recipients.split(',');
            for (var i = 0; i < email_list.length; i++)
            {
                if (!regex.test(email_list[i]))
                {
                    alert('Please Enter valid Email Address.');
                    $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
                    return false;
                }

            }
        } else if (!regex.test(email_recipients))
        {
            alert('Please Enter valid Email Address.');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        }
    }
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();

    var form_data = jQuery('.wpie-coupon-import-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_coupon_import_scheduled&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);
                wpie_scheduled_import_list.row.add(results.data).draw(false);
                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});
jQuery(document).on('click', '.wpie-user-settings-btn', function () {

    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var form_data = jQuery('.wpie-user-fields-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_user_fields&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);

                jQuery('.wpie-datatable-wrapper-sample').html(results.preview_fields);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});
jQuery(document).on('click', '.wpie-delete-user-export-cron', function () {

    if (!confirm("Are you sure you want to delete this Scheduled ?"))
    {
        return false;
    }

    $this = jQuery(this);
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var cron_id = jQuery(this).attr('cron_id');

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_delete_user_export_scheduled_cron&cron_id=" + cron_id,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {

                wpie_scheduled_export_list.rows(jQuery($this).closest('tr')).remove().draw();

                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-user-scheduled-import-data', function () {

    file_url = jQuery('.wpie_import_file_url').val();

    file_path = jQuery('.wpie_csv_upload_file_path').val();

    if (file_url == "" && file_path == "") {
        alert('Please Enter Filename');
        return false;
    }

    $closest_form = jQuery(this).closest('form');
    if ($closest_form.find('.wpie-scheduled-send-email').is(':checked') && $closest_form.find('.wpie-scheduled-export-check-data').is(':checked'))
    {
        var email_recipients = $closest_form.find('.wpie-scheduled-export-email-recipients').val();
        var email_subject = $closest_form.find('.wpie-scheduled-export-email-subject').val();
        var email_msg = $closest_form.find('.wpie-scheduled-export-email-content').val();
        regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (email_recipients == "") {
            alert('Please Enter Email Recipient(s).');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        } else if (email_subject == "") {
            alert('Please Enter Email Subject.');
            $closest_form.find('.wpie-scheduled-export-email-subject').focus();
            return false;
        } else if (email_msg == "") {
            alert('Please Enter Email Body.');
            $closest_form.find('.wpie-scheduled-export-email-content').focus();
            return false;
        }
        if (email_recipients.indexOf(',') > 0)
        {
            var email_list = email_recipients.split(',');
            for (var i = 0; i < email_list.length; i++)
            {
                if (!regex.test(email_list[i]))
                {
                    alert('Please Enter valid Email Address.');
                    $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
                    return false;
                }

            }
        } else if (!regex.test(email_recipients))
        {
            alert('Please Enter valid Email Address.');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        }
    }
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();

    var form_data = jQuery('.wpie-user-import-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_user_import_scheduled&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);
                wpie_scheduled_import_list.row.add(results.data).draw(false);
                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});
jQuery(document).on('click', '.wpie-delete-user-import-cron', function () {

    if (!confirm("Are you sure you want to delete this Scheduled ?"))
    {
        return false;
    }

    $this = jQuery(this);
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var cron_id = jQuery(this).attr('cron_id');

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_delete_user_import_scheduled_cron&cron_id=" + cron_id,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {

                wpie_scheduled_import_list.rows(jQuery($this).closest('tr')).remove().draw();

                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-order-scheduled-export-data', function () {

    $closest_form = jQuery(this).closest('form');
    if ($closest_form.find('.wpie-scheduled-send-email').is(':checked') && $closest_form.find('.wpie-scheduled-export-check-data').is(':checked'))
    {
        var email_recipients = $closest_form.find('.wpie-scheduled-export-email-recipients').val();
        var email_subject = $closest_form.find('.wpie-scheduled-export-email-subject').val();
        var email_msg = $closest_form.find('.wpie-scheduled-export-email-content').val();
        regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (email_recipients == "") {
            alert('Please Enter Email Recipient(s).');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        } else if (email_subject == "") {
            alert('Please Enter Email Subject.');
            $closest_form.find('.wpie-scheduled-export-email-subject').focus();
            return false;
        } else if (email_msg == "") {
            alert('Please Enter Email Body.');
            $closest_form.find('.wpie-scheduled-export-email-content').focus();
            return false;
        }
        if (email_recipients.indexOf(',') > 0)
        {
            var email_list = email_recipients.split(',');
            for (var i = 0; i < email_list.length; i++)
            {
                if (!regex.test(email_list[i]))
                {
                    alert('Please Enter valid Email Address.');
                    $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
                    return false;
                }

            }
        } else if (!regex.test(email_recipients))
        {
            alert('Please Enter valid Email Address.');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        }
    }
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();

    var form_data = jQuery('.wpie-order-export-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_order_scheduled&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);
                wpie_scheduled_export_list.row.add(results.data).draw(false);
                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});
jQuery(document).on('click', '.wpie-order-scheduled-import-data', function () {


    file_url = jQuery('.wpie_import_file_url').val();

    file_path = jQuery('.wpie_csv_upload_file_path').val();

    if (file_url == "" && file_path == "") {
        alert('Please Enter Filename');
        return false;
    }

    $closest_form = jQuery(this).closest('form');
    if ($closest_form.find('.wpie-scheduled-send-email').is(':checked') && $closest_form.find('.wpie-scheduled-export-check-data').is(':checked'))
    {
        var email_recipients = $closest_form.find('.wpie-scheduled-export-email-recipients').val();
        var email_subject = $closest_form.find('.wpie-scheduled-export-email-subject').val();
        var email_msg = $closest_form.find('.wpie-scheduled-export-email-content').val();
        regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (email_recipients == "") {
            alert('Please Enter Email Recipient(s).');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        } else if (email_subject == "") {
            alert('Please Enter Email Subject.');
            $closest_form.find('.wpie-scheduled-export-email-subject').focus();
            return false;
        } else if (email_msg == "") {
            alert('Please Enter Email Body.');
            $closest_form.find('.wpie-scheduled-export-email-content').focus();
            return false;
        }
        if (email_recipients.indexOf(',') > 0)
        {
            var email_list = email_recipients.split(',');
            for (var i = 0; i < email_list.length; i++)
            {
                if (!regex.test(email_list[i]))
                {
                    alert('Please Enter valid Email Address.');
                    $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
                    return false;
                }

            }
        } else if (!regex.test(email_recipients))
        {
            alert('Please Enter valid Email Address.');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        }
    }
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();

    var form_data = jQuery('.wpie-order-import-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_order_import_scheduled&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);
                wpie_scheduled_import_list.row.add(results.data).draw(false);
                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});
jQuery(document).on('click', '.wpie-delete-order-export-cron', function () {

    if (!confirm("Are you sure you want to delete this Scheduled ?"))
    {
        return false;
    }

    $this = jQuery(this);
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var cron_id = jQuery(this).attr('cron_id');

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_delete_order_export_scheduled_cron&cron_id=" + cron_id,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {

                wpie_scheduled_export_list.rows(jQuery($this).closest('tr')).remove().draw();

                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-delete-order-import-cron', function () {

    if (!confirm("Are you sure you want to delete this Scheduled ?"))
    {
        return false;
    }

    $this = jQuery(this);
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var cron_id = jQuery(this).attr('cron_id');

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_delete_order_import_scheduled_cron&cron_id=" + cron_id,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {

                wpie_scheduled_import_list.rows(jQuery($this).closest('tr')).remove().draw();

                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-product-cat-scheduled-import-data', function () {

    file_url = jQuery('.wpie_import_file_url').val();

    file_path = jQuery('.wpie_csv_upload_file_path').val();

    if (file_url == "" && file_path == "") {
        alert('Please Enter Filename');
        return false;
    }

    $closest_form = jQuery(this).closest('form');
    if ($closest_form.find('.wpie-scheduled-send-email').is(':checked') && $closest_form.find('.wpie-scheduled-export-check-data').is(':checked'))
    {
        var email_recipients = $closest_form.find('.wpie-scheduled-export-email-recipients').val();
        var email_subject = $closest_form.find('.wpie-scheduled-export-email-subject').val();
        var email_msg = $closest_form.find('.wpie-scheduled-export-email-content').val();
        regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (email_recipients == "") {
            alert('Please Enter Email Recipient(s).');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        } else if (email_subject == "") {
            alert('Please Enter Email Subject.');
            $closest_form.find('.wpie-scheduled-export-email-subject').focus();
            return false;
        } else if (email_msg == "") {
            alert('Please Enter Email Body.');
            $closest_form.find('.wpie-scheduled-export-email-content').focus();
            return false;
        }
        if (email_recipients.indexOf(',') > 0)
        {
            var email_list = email_recipients.split(',');
            for (var i = 0; i < email_list.length; i++)
            {
                if (!regex.test(email_list[i]))
                {
                    alert('Please Enter valid Email Address.');
                    $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
                    return false;
                }

            }
        } else if (!regex.test(email_recipients))
        {
            alert('Please Enter valid Email Address.');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        }
    }
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();

    var form_data = jQuery('.wpie-product-cat-import-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_product_cat_import_scheduled&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);
                wpie_scheduled_import_list.row.add(results.data).draw(false);
                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});
jQuery(document).on('click', '.wpie-delete-product-cat-import-cron', function () {

    if (!confirm("Are you sure you want to delete this Scheduled ?"))
    {
        return false;
    }

    $this = jQuery(this);
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var cron_id = jQuery(this).attr('cron_id');

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_delete_product_cat_import_scheduled_cron&cron_id=" + cron_id,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {

                wpie_scheduled_import_list.rows(jQuery($this).closest('tr')).remove().draw();

                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-delete-product-cat-export-cron', function () {

    if (!confirm("Are you sure you want to delete this Scheduled ?"))
    {
        return false;
    }

    $this = jQuery(this);
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var cron_id = jQuery(this).attr('cron_id');

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_delete_product_cat_export_scheduled_cron&cron_id=" + cron_id,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {

                wpie_scheduled_export_list.rows(jQuery($this).closest('tr')).remove().draw();

                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('click', '.wpie-product-scheduled-import-data', function () {

    file_url = jQuery('.wpie_import_file_url').val();

    file_path = jQuery('.wpie_csv_upload_file_path').val();

    if (file_url == "" && file_path == "") {
        alert('Please Enter Filename');
        return false;
    }

    $closest_form = jQuery(this).closest('form');
    if ($closest_form.find('.wpie-scheduled-send-email').is(':checked') && $closest_form.find('.wpie-scheduled-export-check-data').is(':checked'))
    {
        var email_recipients = $closest_form.find('.wpie-scheduled-export-email-recipients').val();
        var email_subject = $closest_form.find('.wpie-scheduled-export-email-subject').val();
        var email_msg = $closest_form.find('.wpie-scheduled-export-email-content').val();
        regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (email_recipients == "") {
            alert('Please Enter Email Recipient(s).');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        } else if (email_subject == "") {
            alert('Please Enter Email Subject.');
            $closest_form.find('.wpie-scheduled-export-email-subject').focus();
            return false;
        } else if (email_msg == "") {
            alert('Please Enter Email Body.');
            $closest_form.find('.wpie-scheduled-export-email-content').focus();
            return false;
        }
        if (email_recipients.indexOf(',') > 0)
        {
            var email_list = email_recipients.split(',');
            for (var i = 0; i < email_list.length; i++)
            {
                if (!regex.test(email_list[i]))
                {
                    alert('Please Enter valid Email Address.');
                    $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
                    return false;
                }

            }
        } else if (!regex.test(email_recipients))
        {
            alert('Please Enter valid Email Address.');
            $closest_form.find('.wpie-scheduled-export-email-recipients').focus();
            return false;
        }
    }
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));

    var success_popup = jQuery('.wpie_success_msg').bPopup();

    var form_data = jQuery('.wpie-product-import-frm').serialize();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_save_product_import_scheduled&" + form_data,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery('.wpie_success_msg').html(results.message_content);
                wpie_scheduled_import_list.row.add(results.data).draw(false);
                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);// .delay(4000).close();
            }
        }
    });
});
jQuery(document).on('click', '.wpie-delete-product-import-cron', function () {

    if (!confirm("Are you sure you want to delete this Scheduled ?"))
    {
        return false;
    }

    $this = jQuery(this);
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    var cron_id = jQuery(this).attr('cron_id');

    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_delete_product_import_scheduled_cron&cron_id=" + cron_id,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {

                wpie_scheduled_import_list.rows(jQuery($this).closest('tr')).remove().draw();

                jQuery('.wpie_success_msg').html(results.message_content);

                setTimeout(function () {
                    success_popup.bPopup().close();
                }, 1000);
            }
        }
    });
});
jQuery(document).on('submit', '.wpie_license_activation_frm', function (e) {
    e.preventDefault();

    var purchase_code = jQuery('.wpie_license_code').val();
    if (purchase_code == "")
    {
        alert("Please Enter Purchase Code");
        return false;
    }
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_activate_license&purchase_code=" + purchase_code,
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery(".wpie_success_msg").html(results.message_content);
                if (results.message_note == 're_activated' || results.message_note == 'new_activated')
                {
                    jQuery('.wpie_deactivate_license_wrapper').fadeIn();

                    jQuery('.wpie_license_wrapper').fadeOut();
                }
            }
            setTimeout(function () {
                success_popup.bPopup().close();
            }, 2000);
        },
        error: function (results) {
            jQuery(".wpie_success_msg").html("Error While Activate License");
            setTimeout(function () {
                success_popup.bPopup().close();
            }, 2000);
        }
    });
    return false;
});
jQuery(document).on('click', '.wpie_license_deativate', function () {
    jQuery('.wpie_success_msg').html(jQuery('.wpie_success_msg').attr('wpie_wait_msg'));
    var success_popup = jQuery('.wpie_success_msg').bPopup();
    jQuery.ajax({
        url: wpie_plugin_settings.wpie_ajax_url,
        type: 'POST',
        data: "action=wpie_license_deacivation",
        dataType: 'json',
        success: function (results) {
            if (results.message == "success")
            {
                jQuery(".wpie_success_msg").html(results.message_content);
                jQuery('.wpie_deactivate_license_wrapper').fadeOut();
                jQuery('.wpie_license_wrapper').fadeIn();
            }
            setTimeout(function () {
                success_popup.bPopup().close();
            }, 2000);
        },
        error: function (results) {
            jQuery(".wpie_success_msg").html("Error While Activate License");
            setTimeout(function () {
                success_popup.bPopup().close();
            }, 2000);
        },
    });
    return false;
});